Download it now!
Bug 39674 - find / fix all German spellings in internal APIs
Summary: find / fix all German spellings in internal APIs
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0 target:5.5.0 target:6.0....
Keywords: difficultyBeginner, easyHack, skillScript, topicCleanup
Depends on:
Blocks:
 
Reported: 2011-07-29 10:55 UTC by Björn Michaelsen
Modified: 2020-05-05 09:25 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2011-07-29 10:55:37 UTC
find / fix all German spellings in internal APIs

Background: There are a good number of misspelled methods. For instance 'childs' should be children and 'menues' menus, layoutetText should be layedOutText etc.

Skills: grep, German, code reading
Comment 1 Chris Cunningham 2011-08-03 06:38:44 UTC
That's "LaidOutText", surely?
Comment 2 Florian Allmann-Rahn 2011-08-14 03:35:34 UTC
This task does not refer to the spelling/grammar mistakes in the German UI, does it?
Comment 3 Björn Michaelsen 2011-11-18 09:03:57 UTC
@Florian: no, that would be something completely different: https://translations.documentfoundation.org/
Comment 4 Florian Reisinger 2012-05-18 09:09:58 UTC
Deteted "Easyhack" from summary
Comment 5 Not Assigned 2013-02-22 11:57:03 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c89214a80f0284eafaf4eba23243dfe3c9f7193

fdo#39674: Rename menues to menu



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Thomas Arnhold 2013-03-10 10:11:04 UTC
Good point to start: sc/source/core/tool/interpr2.cxx

void ScInterpreter::ScLaufz()
double ScInterpreter::ScGetZinsZ()
void ScInterpreter::ScKapz()

And many more German words, like "Rest, Faktor, Zins, Effektiv, Nominal"...

Some more:

DeleteAktPara() [sw/source/core/edit/autofmt.cxx]
NeueTabelle() [sc/source/filter/excel/impop.cxx]

And common German words which don't occur in English:

Objekt, Klasse, Fenster, Graphik, Grafik, Menue, Charakter, Komma, PLZ, ObjectMenue

akt, isch, ae, oe, ue, ä, ü, ö
Comment 7 Commit Notification 2013-10-04 15:50:54 UTC
Thomas Arnhold committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be62c01287c095c22a83ecfe6f9f45874f6e56f8

fdo#39674 fix some spelling



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Thomas Arnhold 2013-10-04 16:24:50 UTC
sc/source/core/tool/interpr2.cxx is still full of them.
Comment 9 Björn Michaelsen 2013-10-04 18:46:52 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 10 Thomas Arnhold 2013-12-15 09:23:57 UTC
One more: sw/source/core/text/wrong.cxx:

nOben, nUnten, nMitte in SwWrongList::GetWrongPos()
Comment 11 Philipp Riemer 2014-01-06 16:03:24 UTC
(In reply to comment #10)
> One more: sw/source/core/text/wrong.cxx:
> 
> nOben, nUnten, nMitte in SwWrongList::GetWrongPos()

Done with commit:

http://cgit.freedesktop.org/libreoffice/core/commit/?id=62ab589282ad4fb96e1b8d1f9cc13090276f49ca
Comment 12 jonathan lucas 2014-07-30 16:44:03 UTC
Hi, I would like to contribute (native German), as I just read on Micheal Meeks' blog that help is still needed. How/where can I start? Feel free to contact me!
Comment 13 Noel Grandin 2014-07-31 08:03:27 UTC
Jonathon, you will need to check out the source code, and then run the script

./bin/find-german-comments

Then pick a place to start and focus on cleaning up one location.

Come hang out on the IRC channel if you need more help.
Comment 14 Thomas Arnhold 2014-08-03 12:23:49 UTC
Noel: This bug is about API names, not comment translation!

Jonathan: See Comment 8, in sc/source/core/tool/interpr2.cxx. There are still many German variable names like "fDauer" and so on...

Comment 6 should give you a hint what to search for (git grep -i "text").
Comment 15 jeyli 2014-08-29 08:20:10 UTC
Committed a patch related to this issue. Translated German to English in sc/source/core/tool/interpr2.cxx
https://gerrit.libreoffice.org/#/c/11184/
Comment 16 Commit Notification 2014-08-30 08:48:12 UTC
Jennifer Liebel committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5605a36a31081875087ff5cb28b84790845ba695

fdo#39674: Improved translation



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2014-08-30 08:57:27 UTC
Jennifer Liebel committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e886f9ad66cf0e1961deebb30a97e0b35bb5a816

fdo#39674: translated German to English



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Robinson Tryon (qubit) 2015-12-14 06:52:49 UTC Comment hidden (obsolete)
Comment 19 Robinson Tryon (qubit) 2016-02-18 14:51:36 UTC Comment hidden (obsolete)
Comment 20 jani 2016-08-05 09:11:32 UTC
Please be aware, that this easyhack is considered an important but large scale cosmetic change as described in https://wiki.documentfoundation.org/Development/LargeScaleChanges

It was in decided by the ESC to close this kind of easyhacks, and send them directly as mail, to new contributors.
https://lists.freedesktop.org/archives/libreoffice/2016-August/074920.html

Please do not submit patches with many files !!

This particular easyhack is kept open as an exception to the rule, due to a high wish in the ESC
Comment 21 Aman Kumar 2016-12-16 13:39:00 UTC
Hi I would like to contribute.Is their any german keyword left which need to be changed.
Comment 22 jani 2016-12-16 13:40:07 UTC
Sure there are, but you have to look for them, if we had a list it would already be corrected.
Comment 23 Aman Kumar 2016-12-18 06:15:56 UTC
So basically i have to start from any file and if i found german keyword then i need to search it on opengrok and replace it with english keyword everywhere in the project.
Comment 24 Commit Notification 2016-12-25 07:34:46 UTC
tamsil1amani3 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=452b8334e60082c113809f90fd59967ac9c471a2

tdf#39674 Converted terms from German to English

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2016-12-25 07:36:19 UTC
abdulwd committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8987e91843392f225f97150b066b4415bbe525a8

tdf#39674 Translated German to English

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2016-12-30 23:40:10 UTC
kerem committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea860d52ade14b4a16289c81a0f8586799c6617f

fdo#39674 Rename klasse and funktion in dwfunctr.cxx

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2017-01-01 19:38:40 UTC
kerem committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9bbc168c29d3f48839d40173f5467228ce9a7268

fdo#39674: translated German to English in svdmodel.cxx

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2017-01-03 14:55:40 UTC
kerem committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=909164e474e113b948195822ebf7c14dd21385db

tdf#39674: translated German to English in svdtrans.cxx

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2017-04-26 08:31:23 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=84a409981a3ad481841c812d66721f89da7aeac6

tdf#39674: Rename Fehler to Error

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2017-06-06 11:49:14 UTC
Johnny_M committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7f793166719ce0b3917fa9751d3529c9ec5df854

tdf#39674 Translate some German variable/function names

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2017-06-26 10:47:51 UTC
Johnny_M committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b9d2501b390dfaec7d0a189742fb3305f3742d9

tdf#39674 Translate some German variable names

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 32 Johnny_M 2017-07-05 18:36:06 UTC
For the interested, there is still something left. Search words, e.g., possibly as parts of names of variables:
fKapZ
nNeu
aNeu
fNeu
pNeu
zeichnung
wert
aktiv
lokal

And there will be more around those in the code.

Hints:
- To prevent a double effort, please:
-- always pull latest commits (if working locally; if directly in Gerrit, then it should always be the latest already)
-- check the not yet merged translation commits in https://gerrit.libreoffice.org/#/q/status:open+german

- Translation of comments is done in the bug 39468
Comment 33 Johnny_M 2017-08-11 15:36:49 UTC
(In reply to Johnny_M from comment #32)
> For the interested, there is still something left. Search words, e.g.,
> possibly as parts of names of variables:

"anz" (meaning "Anzahl"; translatable e.g. as "Count or "Cnt"; ideally not abbreviated as "No" of "Number (of)", to not be confused for a negation)
Comment 34 Commit Notification 2017-09-05 12:33:51 UTC
Andreas Brandner committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b55d2772e7b5f44b139fc7d5cb8b9196fd7ab1d7

tdf#39674 find / fix all German spellings in internal APIs

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 35 Julien Nabet 2018-02-18 17:45:19 UTC
Some candidates to translate:
https://opengrok.libreoffice.org/xref/core/include/editeng/editrids.hrc#130
Comment 36 Johnny_M 2018-02-25 15:38:02 UTC
(In reply to Julien Nabet from comment #35)
> Some candidates to translate:
> https://opengrok.libreoffice.org/xref/core/include/editeng/editrids.hrc#130
Done in https://gerrit.libreoffice.org/#/c/50305/

Further search hints:
*Akt* (in "Symbol" search with this capitalization on OpenGrok) -> mostly "Current"

*titel* -> title

andere
Zustand
Ende
Kopie
Comment 39 Mike Kaganski 2018-11-03 17:00:52 UTC
Does "nLauf" in ExcelToSc::DoMulArgs fit here? I *suppose* it's "nPass", but not that sure, so ...
Comment 40 Johnny_M 2018-11-03 23:06:19 UTC
(In reply to Mike Kaganski from comment #39)
> Does "nLauf" in ExcelToSc::DoMulArgs fit here? I *suppose* it's "nPass", but
> not that sure, so ...

I would agree. A "Lauf" literally means a "run". But a fuller word would have been "Durchlauf", which is a "passage". Or a "pass" to be equally short, which also seems to be commonly used with loops.

I can translate it there and at another location, where it occurs together with another variable in need of translation. Thanks for pointing out.
Comment 41 Mike Kaganski 2018-11-04 13:44:39 UTC
(In reply to Johnny_M from comment #40)

Thanks! Also LotusToSc::DoFunc has that.
Comment 42 Commit Notification 2018-11-06 18:33:17 UTC
Johnny_M committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/bc42b6bfa49cc2b58201a8f6177dd3b1a0c038d8%5E%21

tdf#39674 Translate German variable names

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 43 Commit Notification 2018-12-08 15:52:39 UTC
Johnny_M committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/6171ba66379fe169922c83a12a9c6aa1f53f4bc6%5E%21

tdf#39674 Translate German variable names

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 44 Andrea Gelmini 2020-01-03 20:19:58 UTC
We still have
STR_POOLCOLL_DOC_SUBTITEL

I don't remember if I already submitted a patch, but maybe there are complains about the changing in traslation files?
If not, I can take care.
Comment 45 Commit Notification 2020-03-11 14:49:26 UTC
Johnny_M committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1f85528fdfd0871fd1e2a913c85e1e06e5bac645

tdf#39674 Translate German variable names

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 46 Shivammore 2020-03-18 16:37:00 UTC
Can anyone review my code changes
Link- https://gerrit.libreoffice.org/c/core/+/90679
Comment 47 Commit Notification 2020-03-23 13:05:20 UTC
shivammore committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/71ae87c0cd9f27504c72cc26c339c2a0eb527dde

tdf#39674 Translate some German variable names

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 48 Johnny_M 2020-05-05 09:25:58 UTC
I can't find anything any longer (apart from the translation mappings in various "strings.hrc", which were not touched, to prevent an impact on the help content translations). Please feel free to point out.